## org.apache.mahout.fpm.pfpgrowth.convertors.integer
Class IntegerStringOutputConverter

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.integer.IntegerStringOutputConverter

All Implemented Interfaces:
  org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,java.util.List<Pair<java.util.List<java.lang.Integer>,java.lang.Long>>>

    public final class IntegerStringOutputConverter

extends java.lang.Object
implements org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,java.util.List<Pair<java.util.List<java.lang.Integer>,java.lang.Long>>>

Collects the Patterns with Integer id and Long support and converts them to Pattern of Strings based on a reverse feature lookup map.

Constructor Summary
`IntegerStringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector, java.util.List<java.lang.String> featureReverseMap)`

Method Summary
`void` `collect(java.lang.Integer key, java.util.List<Pair<java.util.List<java.lang.Integer>,java.lang.Long>> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerStringOutputConverter

    public IntegerStringOutputConverter(org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.Text,TopKStringPatterns> collector,
                                        java.util.List<java.lang.String> featureReverseMap)

Method Detail

### collect

    public void collect(java.lang.Integer key,
                        java.util.List<Pair<java.util.List<java.lang.Integer>,java.lang.Long>> value)
                 throws java.io.IOException

  Specified by:
    `collect` in interface `org.apache.hadoop.mapred.OutputCollector<java.lang.Integer,java.util.List<Pair<java.util.List<java.lang.Integer>,java.lang.Long>>>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.